Bug 442275 - pointless .rpmnew files created.
pointless .rpmnew files created.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-13 14:50 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:11:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2008-04-13 14:50:29 EDT
Updating  : ntp                          ####################### [ 4/12] 
warning: /etc/sysconfig/ntpd created as /etc/sysconfig/ntpd.rpmnew

(14:39:29:davej@firewall:~)$ ll /etc/sysconfig/ntpd /etc/sysconfig/ntpd.rpmnew
-rw-r--r-- 1 root root 85 2008-02-29 09:54 /etc/sysconfig/ntpd
-rw-r--r-- 1 root root 85 2008-02-29 09:54 /etc/sysconfig/ntpd.rpmnew
(14:48:39:davej@firewall:~)$ diff -u /etc/sysconfig/ntpd /etc/sysconfig/ntpd.rpmnew
(14:48:42:davej@firewall:~)$ md5sum  /etc/sysconfig/ntpd /etc/sysconfig/ntpd.rpmnew
a34ae054f1ae8f872ea6f75cfff9e776  /etc/sysconfig/ntpd
a34ae054f1ae8f872ea6f75cfff9e776  /etc/sysconfig/ntpd.rpmnew

The files are exactly the same, why is rpm bothering to create these ?
Comment 1 Panu Matilainen 2008-04-15 06:16:48 EDT
This shouldn't happen with current rpm anymore (since F7+updates or so) - what
was the version of rpm running the transaction where that happened?
Comment 2 Dave Jones 2008-04-15 11:23:25 EDT
It was running up to date f8+updates
Comment 3 Panu Matilainen 2008-04-16 04:58:30 EDT
Ok, certainly shouldn't happen in F8. I'll have to look more closely for missed
corner cases.
Comment 4 Bug Zapper 2008-05-14 05:23:06 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:09:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:11:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.